Extending Qt Creator Manual | LocalsSymbolGroup

Extending Qt Creator Manual 4.11.0

# LocalsSymbolGroup Class

The LocalsSymbolGroup class creates a Symbol group representing the Locals view. More...

Header: | #include <LocalsSymbolGroup>
Inherits: | SymbolGroup

- List of all members, including inherited members

## Public Functions

unsigned int | frame() const
std::string | function() const
std::string | module() const
int | threadId() const

- 18 public functions inherited from SymbolGroup

## Static Public Members

LocalsSymbolGroup * | create(CIDebugControl *control, CIDebugSymbols *, int threadId, unsigned int frame, std::string *errorMessage)

- 1 static public member inherited from SymbolGroup

## Protected Functions

| LocalsSymbolGroup(CIDebugSymbolGroup *, const SymbolGroup::SymbolParameterVector &vec, int threadId, unsigned int frame, const std::string &function)

- 1 protected function inherited from SymbolGroup

### Additional Inherited Members

- 1 static protected member inherited from SymbolGroup

## Detailed Description

The LocalsSymbolGroup class creates a Symbol group representing the Locals view.

It is firmly associated with stack frame, function (module) and thread.

## Member Function Documentation

### `[protected]` LocalsSymbolGroup::LocalsSymbolGroup(CIDebugSymbolGroup *, const SymbolGroup::SymbolParameterVector &vec, int threadId, unsigned int frame, const std::string &function)

Default constructs an instance of LocalsSymbolGroup.

### `[static]` LocalsSymbolGroup *LocalsSymbolGroup::create(CIDebugControl *control, CIDebugSymbols *, int threadId, unsigned int frame, std::string *errorMessage)

### unsigned int LocalsSymbolGroup::frame() const

### std::string LocalsSymbolGroup::function() const

### std::string LocalsSymbolGroup::module() const

### int LocalsSymbolGroup::threadId() const